Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class DataSourceTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.DataSourceTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class DataSourceTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `amId`
`protected boolean` | `bForwardOnly`
`protected DataSource` | `ds`
`protected int` | `nRangeSize`
`protected java.lang.String` | `sIterMode`
`protected java.lang.String` | `sOrder`
`protected java.lang.String` | `sViewObject`
`protected java.lang.String` | `sWhere`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DataSourceTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`DataSource` | `getDataSource()`
`void` | `setAppid(java.lang.String amId)`
`void` | `setForwardonly(java.lang.String sValue)`
`void` | `setItermode(java.lang.String sValue)`
`void` | `setOrderbyclause(java.lang.String sOrder)`
`void` | `setRangesize(java.lang.String sValue)`
`void` | `setViewobject(java.lang.String sViewObject)`
`void` | `setWhereclause(java.lang.String sWhere)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### amId

    protected java.lang.String amId

### sViewObject

    protected java.lang.String sViewObject

### sWhere

    protected java.lang.String sWhere

### sOrder

    protected java.lang.String sOrder

### nRangeSize

    protected int nRangeSize

### bForwardOnly

    protected boolean bForwardOnly

### sIterMode

    protected java.lang.String sIterMode

### ds

    protected DataSource ds

Constructor Detail

### DataSourceTag

    public DataSourceTag()

Method Detail

### setAppid

    public void setAppid(java.lang.String amId)

### setViewobject

    public void setViewobject(java.lang.String sViewObject)

### setWhereclause

    public void setWhereclause(java.lang.String sWhere)

### setOrderbyclause

    public void setOrderbyclause(java.lang.String sOrder)

### setRangesize

    public void setRangesize(java.lang.String sValue)
                      throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### setForwardonly

    public void setForwardonly(java.lang.String sValue)

### setItermode

    public void setItermode(java.lang.String sValue)

### getDataSource

    public DataSource getDataSource()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.